MSVSSHISTORY (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.vss.MSVSSHISTORY class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.vss
Class MSVSSHISTORY

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.vss.MSVSS
                  org.apache.tools.ant.taskdefs.optional.vss.MSVSSHISTORY

public class MSVSSHISTORY
extends MSVSS

Performs History commands to Microsoft Visual SourceSafe.

Author:
  Balazs Fejes 2, Glenn_Twiggs@bmc.com

Nested Class Summary
`static class` | `MSVSSHISTORY.BriefCodediffNofile`

Field Summary
`static java.lang.String` | `FLAG_OUTPUT`
`static java.lang.String` | `FLAG_USER`
`static java.lang.String` | `VALUE_FROMDATE`
`static java.lang.String` | `VALUE_FROMLABEL`

Fields inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS
`COMMAND_ADD, COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CP, COMMAND_CREATE, COMMAND_GET, COMMAND_HISTORY, COMMAND_LABEL, FLAG_AUTORESPONSE_DEF, FLAG_AUTORESPONSE_NO, FLAG_AUTORESPONSE_YES, FLAG_LOGIN, FLAG_OVERRIDE_WORKING_DIR, FLAG_QUIET, FLAG_RECURSION, FLAG_VERSION, FLAG_VERSION_DATE, FLAG_VERSION_LABEL, FLAG_WRITABLE, PROJECT_PREFIX, VALUE_NO, VALUE_YES`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`MSVSSHISTORY()`

Method Summary
`void` | `execute()` Executes the task.
`void` | `setDateFormat(java.lang.String dateFormat)` Format of dates in fromDate and toDate; optional.
`void` | `setFromDate(java.lang.String fromDate)` Set the Start Date for the Comparison of two versions; optional.
`void` | `setFromLabel(java.lang.String fromLabel)` Set the Start Label; optional
`void` | `setNumdays(int numd)` Set the number of days for comparison; optional.
`void` | `setOutput(java.io.File outfile)` Set the output file name for the history; optional.
`void` | `setRecursive(boolean recursive)` Flag to tell the task to recurse down the tree; optional, default false.
`void` | `setStyle(MSVSSHISTORY.BriefCodediffNofile attr)` Specify the output style; optional.
`void` | `setToDate(java.lang.String toDate)` Set the End Date for the Comparison of two versions; optional.
`void` | `setToLabel(java.lang.String toLabel)` Set the End Label ; optional
`void` | `setUser(java.lang.String user)` Name the user whose changes we would like to see; optional

Methods inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS
`getLoginCommand, getSSCommand, getVsspath, run, setLogin, setServerpath, setSsdir, setVsspath`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_FROMDATE

    public static final java.lang.String VALUE_FROMDATE

See Also:
  Constant Field Values

### VALUE_FROMLABEL

    public static final java.lang.String VALUE_FROMLABEL

See Also:
  Constant Field Values

### FLAG_OUTPUT

    public static final java.lang.String FLAG_OUTPUT

See Also:
  Constant Field Values

### FLAG_USER

    public static final java.lang.String FLAG_USER

See Also:
  Constant Field Values

Constructor Detail

### MSVSSHISTORY

    public MSVSSHISTORY()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Executes the task.

  Builds a command line to execute ss and then calls Exec's run method to execute the command line.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### setFromDate

    public void setFromDate(java.lang.String fromDate)

  Set the Start Date for the Comparison of two versions; optional.

### setFromLabel

    public void setFromLabel(java.lang.String fromLabel)

  Set the Start Label; optional

### setToLabel

    public void setToLabel(java.lang.String toLabel)

  Set the End Label ; optional

### setToDate

    public void setToDate(java.lang.String toDate)

  Set the End Date for the Comparison of two versions; optional.

### setNumdays

    public void setNumdays(int numd)

  Set the number of days for comparison; optional.

  The default value is 2 days. (maybe)

### setOutput

    public void setOutput(java.io.File outfile)

  Set the output file name for the history; optional.

### setDateFormat

    public void setDateFormat(java.lang.String dateFormat)

  Format of dates in fromDate and toDate; optional. Used when calculating dates with the numdays attribute. This string uses the formatting rules of SimpleDateFormat. Defaults to DateFormat.SHORT.

### setRecursive

    public void setRecursive(boolean recursive)

  Flag to tell the task to recurse down the tree; optional, default false.

### setUser

    public void setUser(java.lang.String user)

  Name the user whose changes we would like to see; optional

### setStyle

    public void setStyle(MSVSSHISTORY.BriefCodediffNofile attr)

  Specify the output style; optional.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.